import com.google.gson.JsonArray;
import com.google.gson.JsonObject;
import com.google.gson.JsonPrimitive;

public class Main {

    public static void main(String[] args) {
        usedJsonPrimitive();
        usedJsonObject();
        usedJsonArray();
    }

    /**
     * Функция демонстрирует использование класса JsonPrimitive
     */
    private static void usedJsonPrimitive() {
        JsonPrimitive stringPrimitive = new JsonPrimitive("value");
        System.out.println(stringPrimitive);

        JsonPrimitive numberPrimitive = new JsonPrimitive(1);
        System.out.println(numberPrimitive);

        JsonPrimitive booleanPrimitive = new JsonPrimitive(true);
        System.out.println(booleanPrimitive);
        System.out.println();
    }

    /**
     * Функция демонстрирует использование класса JsonObject
     */
    private static void usedJsonObject() {
        JsonObject object = new JsonObject();
        object.addProperty("key1", "value1");
        object.addProperty("key2", "value2");
        object.addProperty("key3", 3);

        System.out.println(object);
        System.out.println();
    }

    /**
     * Функция демонстрирует использование класса JsonArray
     */
    private static void usedJsonArray() {
        JsonArray array = new JsonArray();
        array.add("string");
        array.add(1);
        array.add(true);

        System.out.println(array);
    }
}
